diff --git a/rubygem-launchy/rubygem-launchy.spec b/rubygem-launchy/rubygem-launchy.spec
index 40aa9201a..bc0b5b09e 100644
--- a/rubygem-launchy/rubygem-launchy.spec
+++ b/rubygem-launchy/rubygem-launchy.spec
@@ -14,24 +14,25 @@ URL: http://github.com/copiousfreetime/launchy
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 Requires: %{?scl_prefix}rubygem(addressable) >= 2.3.0
 Requires: %{?scl_prefix}rubygem(addressable) < 3.0.0
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Launchy is helper class for launching cross-platform applications in a fire and
@@ -44,6 +45,7 @@ application from within ruby programs.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -98,4 +100,3 @@ find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
 
 * Sun Nov 10 2013 Dominic Cleal <dcleal@redhat.com> 2.3.0-1
 - new package built with tito
-
diff --git a/rubygem-ldap_fluff/rubygem-ldap_fluff.spec b/rubygem-ldap_fluff/rubygem-ldap_fluff.spec
index f9ee7a364..49d741249 100644
--- a/rubygem-ldap_fluff/rubygem-ldap_fluff.spec
+++ b/rubygem-ldap_fluff/rubygem-ldap_fluff.spec
@@ -11,17 +11,18 @@ Group: Development/Languages
 License: GPLv2+ or Ruby
 URL: https://github.com/theforeman/ldap_fluff
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
-Requires: %{?scl_prefix}rubygem(activesupport)
+Requires: %{?scl_prefix_ruby}rubygems
+Requires: %{?scl_prefix_ruby}rubygem(activesupport)
 Requires: %{?scl_prefix}rubygem(net-ldap) >= 0.3.1
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygem(rake)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygem(rake)
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 %if 0%{?fedora} > 18
-Requires:       %{?scl_prefix}ruby(release)
+Requires:       %{?scl_prefix_ruby}ruby(release)
 %else
-Requires:       %{?scl_prefix}ruby(abi) = 1.9.1
+Requires:       %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
 
 %description
@@ -31,6 +32,7 @@ Provides multiple implementations of LDAP queries for various backends.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-less-rails/rubygem-less-rails.spec b/rubygem-less-rails/rubygem-less-rails.spec
index 7f4da94c9..6c60b611d 100644
--- a/rubygem-less-rails/rubygem-less-rails.spec
+++ b/rubygem-less-rails/rubygem-less-rails.spec
@@ -14,24 +14,25 @@ License: GPLv2+ or Ruby
 URL: http://github.com/metaskills/less-rails
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems) 
-Requires: %{?scl_prefix}ruby 
+Requires: %{?scl_prefix_ruby}ruby(rubygems) 
+Requires: %{?scl_prefix_ruby}ruby 
 Requires: %{?scl_prefix}rubygem(less) => 2.5.0
 Requires: %{?scl_prefix}rubygem(less) < 2.6
-Requires: %{?scl_prefix}rubygem(actionpack) >= 3.1
+Requires: %{?scl_prefix_ruby}rubygem(actionpack) >= 3.1
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel 
-BuildRequires: %{?scl_prefix}ruby 
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel 
+BuildRequires: %{?scl_prefix_ruby}ruby 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 The dynamic stylesheet language for the Rails asset pipeline. Allows other
@@ -42,6 +43,7 @@ gems to extend Less load path.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-less/rubygem-less.spec b/rubygem-less/rubygem-less.spec
index b5ee7790c..c9437044d 100644
--- a/rubygem-less/rubygem-less.spec
+++ b/rubygem-less/rubygem-less.spec
@@ -14,23 +14,24 @@ License: GPLv2+ or Ruby
 URL: http://lesscss.org
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems) 
-Requires: %{?scl_prefix}ruby 
+Requires: %{?scl_prefix_ruby}ruby(rubygems) 
+Requires: %{?scl_prefix_ruby}ruby 
 Requires: %{?scl_prefix}rubygem(commonjs) => 0.2.7
 Requires: %{?scl_prefix}rubygem(commonjs) < 0.3
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel 
-BuildRequires: %{?scl_prefix}ruby 
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel 
+BuildRequires: %{?scl_prefix_ruby}ruby 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Invoke the Less CSS compiler from Ruby
@@ -40,6 +41,7 @@ Invoke the Less CSS compiler from Ruby
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-little-plugger/rubygem-little-plugger.spec b/rubygem-little-plugger/rubygem-little-plugger.spec
index 293a862bd..614ce9ff6 100644
--- a/rubygem-little-plugger/rubygem-little-plugger.spec
+++ b/rubygem-little-plugger/rubygem-little-plugger.spec
@@ -11,19 +11,20 @@ Group: Development/Languages
 License: MIT
 URL: http://rubygems.org/gems/little-plugger
 Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %endif
 
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
-#BuildRequires: %{?scl_prefix}rubygem(rspec)
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+#BuildRequires: %{?scl_prefix_ruby}rubygem(rspec)
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 LittlePlugger is a module that provides Gem based plugin management.
@@ -35,6 +36,7 @@ Summary: Documentation for %{pkg_name}
 Group: Documentation
 
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 This package contains documentation for %{pkg_name}.
diff --git a/rubygem-locale/rubygem-locale.spec b/rubygem-locale/rubygem-locale.spec
index 0530f2efc..e03f2b6a4 100644
--- a/rubygem-locale/rubygem-locale.spec
+++ b/rubygem-locale/rubygem-locale.spec
@@ -19,15 +19,16 @@ Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 BuildArch:	noarch
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %endif
-Requires: %{?scl_prefix}rubygems
-BuildRequires: %{?scl_prefix}rubygems
-BuildRequires: %{?scl_prefix}rubygems-devel
+Requires: %{?scl_prefix_ruby}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Ruby-Locale is the pure ruby library which provides basic and general purpose
@@ -40,6 +41,7 @@ handle major locale ID standards.
 Summary:	Documentation for %{pkg_name}
 Group:		Documentation
 Requires:	%{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description	doc
 This package contains documentation for %{pkg_name}.
diff --git a/rubygem-logging/rubygem-logging.spec b/rubygem-logging/rubygem-logging.spec
index 9017b1f4a..1c2077afd 100644
--- a/rubygem-logging/rubygem-logging.spec
+++ b/rubygem-logging/rubygem-logging.spec
@@ -12,22 +12,23 @@ License: Ruby or BSD
 URL: http://rubygems.org/gems/logging
 Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
 BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %endif
 Requires: %{?scl_prefix}rubygem(little-plugger) >= 1.1.3
 Requires: %{?scl_prefix}rubygem(multi_json) >= 1.8.4
 
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 # BuildRequires: %{?scl_prefix}rubygem(little-plugger) >= 1.1.3
 # BuildRequires: %{?scl_prefix}rubygem(flexmock) >= 0.9.0
-# BuildRequires: %{?scl_prefix}rubygem(minitest)
+# BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Logging is a flexible logging library for use in Ruby programs based on the
@@ -40,6 +41,7 @@ Summary: Documentation for %{pkg_name}
 Group: Documentation
 
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 This package contains documentation for %{pkg_name}.
diff --git a/rubygem-multi-select-rails/rubygem-multi-select-rails.spec b/rubygem-multi-select-rails/rubygem-multi-select-rails.spec
index bc49230f8..2bad9bbdd 100644
--- a/rubygem-multi-select-rails/rubygem-multi-select-rails.spec
+++ b/rubygem-multi-select-rails/rubygem-multi-select-rails.spec
@@ -14,23 +14,24 @@ URL: https://github.com/klenis/multi-select-rails
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
-Requires: %{?scl_prefix}rubygem(railties) >= 3.0
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
+Requires: %{?scl_prefix_ruby}rubygem(railties) >= 3.0
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 multi-select is a tiny jQuery plugin to customize selects with the multiple
@@ -41,6 +42,7 @@ asset pipeline.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -86,4 +88,3 @@ cp -a .%{gem_dir}/* \
 
 * Tue Feb 18 2014 Dominic Cleal <dcleal@redhat.com> 0.9.10-1
 - new package built with tito
-
diff --git a/rubygem-multi_json/rubygem-multi_json.spec b/rubygem-multi_json/rubygem-multi_json.spec
index 79fc3c51a..ccbdd228e 100644
--- a/rubygem-multi_json/rubygem-multi_json.spec
+++ b/rubygem-multi_json/rubygem-multi_json.spec
@@ -12,27 +12,28 @@ URL: http://github.com/intridea/multi_json
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
 
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-# BuildRequires: %{?scl_prefix}rubygem(json)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+# BuildRequires: %{?scl_prefix_ruby}rubygem(json)
 # BuildRequires: %{?scl_prefix}rubygem(json_pure)
-# BuildRequires: %{?scl_prefix}rubygem(rspec)
+# BuildRequires: %{?scl_prefix_ruby}rubygem(rspec)
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 # OkJson is allowed to be bundled:
 # https://fedorahosted.org/fpc/ticket/113
 Provides: bundled(%{?scl_prefix}okjson) = 20110719
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A gem to provide swappable JSON backends utilizing Yajl::Ruby, the JSON gem,
@@ -43,6 +44,7 @@ JSON pure, or a vendored version of okjson.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl:%scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-multipart-post/rubygem-multipart-post.spec b/rubygem-multipart-post/rubygem-multipart-post.spec
index dc530dbb1..8e214acf6 100644
--- a/rubygem-multipart-post/rubygem-multipart-post.spec
+++ b/rubygem-multipart-post/rubygem-multipart-post.spec
@@ -14,22 +14,23 @@ URL: https://github.com/nicksieger/multipart-post
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Use with Net::HTTP to do multipart form posts. IO values that have
@@ -40,6 +41,7 @@ file.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -86,4 +88,3 @@ cp -a .%{gem_dir}/* \
 
 * Sun Nov 10 2013 Dominic Cleal <dcleal@redhat.com> 1.2.0-1
 - new package built with tito
-
diff --git a/rubygem-mysql2/rubygem-mysql2.spec b/rubygem-mysql2/rubygem-mysql2.spec
index 18bbe2caf..24de218d7 100644
--- a/rubygem-mysql2/rubygem-mysql2.spec
+++ b/rubygem-mysql2/rubygem-mysql2.spec
@@ -15,16 +15,17 @@ License: MIT
 URL: http://mysql-win.rubyforge.org
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
-Requires: %{?scl_prefix}ruby >= 1.8.6
-Requires: %{?scl_prefix}rubygems >= 1.8.10
+Requires: %{?scl_prefix_ruby}ruby >= 1.8.6
+Requires: %{?scl_prefix_ruby}rubygems >= 1.8.10
 
-BuildRequires: %{?scl_prefix}ruby >= 1.8.6
-BuildRequires: %{?scl_prefix}rubygems >= 1.8.10
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby-devel
+BuildRequires: %{?scl_prefix_ruby}ruby >= 1.8.6
+BuildRequires: %{?scl_prefix_ruby}rubygems >= 1.8.10
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby-devel
 BuildRequires: mysql-devel
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 
 %define gem_builddir %{buildroot}%{gem_dir}
@@ -38,6 +39,7 @@ This is a conversion of tmtm's original extension into a proper RubyGems.
 Summary: Documentation for rubygem-%{gem_name}
 Group: Documentation
 Requires: %{?scl_prefix}rubygem-%{gem_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-net-ldap/rubygem-net-ldap.spec b/rubygem-net-ldap/rubygem-net-ldap.spec
index da9350af9..b60197432 100644
--- a/rubygem-net-ldap/rubygem-net-ldap.spec
+++ b/rubygem-net-ldap/rubygem-net-ldap.spec
@@ -11,22 +11,23 @@ Group: Development/Languages
 License: MIT
 URL: http://github.com/ruby-ldap/ruby-net-ldap
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 # specs need metaid gem that is not in Fedora yet
-#BuildRequires: %{?scl_prefix}rubygem(rspec-core)
+#BuildRequires: %{?scl_prefix_ruby}rubygem(rspec-core)
 #BuildRequires: %{?scl_prefix}rubygem(flexmock)
-BuildRequires: %{?scl_prefix}rubygem(minitest)
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 # this package obsoletes rubygem-ruby-net-ldap
 Provides: %{?scl_prefix}rubygem(ruby-net-ldap) = %{version}-%{release}
 Provides: %{?scl_prefix}rubygem-ruby-net-ldap = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 Obsoletes: %{?scl_prefix}rubygem-ruby-net-ldap < 0.0.4-7
 
 %description
@@ -47,6 +48,7 @@ the most recent LDAP RFCs (4510–4519, plus portions of 4520–4532).
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-net-scp/rubygem-net-scp.spec b/rubygem-net-scp/rubygem-net-scp.spec
index 3d5e07209..782e34f9e 100644
--- a/rubygem-net-scp/rubygem-net-scp.spec
+++ b/rubygem-net-scp/rubygem-net-scp.spec
@@ -13,23 +13,24 @@ License: MIT
 URL: http://net-ssh.rubyforge.org/scp
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(net-ssh)
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildRequires: %{?scl_prefix}rubygem(net-ssh)
-BuildRequires: %{?scl_prefix}rubygem(mocha)
-BuildRequires: %{?scl_prefix}rubygem(minitest)
+BuildRequires: %{?scl_prefix_ruby}rubygem(mocha)
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A pure Ruby implementation of the SCP client protocol
@@ -39,6 +40,7 @@ A pure Ruby implementation of the SCP client protocol
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires:%{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 Documentation for %{pkg_name}
diff --git a/rubygem-net-ssh-gateway/rubygem-net-ssh-gateway.spec b/rubygem-net-ssh-gateway/rubygem-net-ssh-gateway.spec
index 1ef21b6a8..a1a7cc71c 100644
--- a/rubygem-net-ssh-gateway/rubygem-net-ssh-gateway.spec
+++ b/rubygem-net-ssh-gateway/rubygem-net-ssh-gateway.spec
@@ -13,24 +13,25 @@ License: MIT
 URL: https://github.com/net-ssh/net-scp
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %endif
-Requires: %{?scl_prefix}ruby(rubygems) >= 1.2
+Requires: %{?scl_prefix_ruby}ruby(rubygems) >= 1.2
 Requires: %{?scl_prefix}rubygem(net-ssh) >= 2.6.5
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildRequires: %{?scl_prefix}rubygem(net-ssh) >= 2.6.5
-BuildRequires: %{?scl_prefix}rubygem(mocha)
-BuildRequires: %{?scl_prefix}rubygem(minitest)
+BuildRequires: %{?scl_prefix_ruby}rubygem(mocha)
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A simple library to assist in establishing tunneled Net::SSH connections
@@ -39,6 +40,7 @@ A simple library to assist in establishing tunneled Net::SSH connections
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires:%{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 Documentation for %{pkg_name}
diff --git a/rubygem-net-ssh-multi/rubygem-net-ssh-multi.spec b/rubygem-net-ssh-multi/rubygem-net-ssh-multi.spec
index 21f38ba12..b2b577e03 100644
--- a/rubygem-net-ssh-multi/rubygem-net-ssh-multi.spec
+++ b/rubygem-net-ssh-multi/rubygem-net-ssh-multi.spec
@@ -16,24 +16,25 @@ URL: https://github.com/net-ssh/net-ssh-multi
 Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
 Patch0: rubygem-net-ssh-multi-1.2.0-minitest.patch
 %if 0%{?fedora} >= 19
-Requires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(net-ssh) >= 2.6.5
 Requires: %{?scl_prefix}rubygem(net-ssh-gateway) >= 1.2.0
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 %if 0%{?enable_check}
 BuildRequires: %{?scl_prefix}rubygem(net-ssh)
 BuildRequires: %{?scl_prefix}rubygem(net-ssh-gateway)
-BuildRequires: %{?scl_prefix}rubygem(minitest)
-BuildRequires: %{?scl_prefix}rubygem(mocha)
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
+BuildRequires: %{?scl_prefix_ruby}rubygem(mocha)
 %endif
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Control multiple Net::SSH connections via a single interface.
@@ -42,6 +43,7 @@ Control multiple Net::SSH connections via a single interface.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 This package contains documentation for %{pkg_name}
diff --git a/rubygem-net-ssh/rubygem-net-ssh.spec b/rubygem-net-ssh/rubygem-net-ssh.spec
index 75f3e8b56..c5fc9f95c 100644
--- a/rubygem-net-ssh/rubygem-net-ssh.spec
+++ b/rubygem-net-ssh/rubygem-net-ssh.spec
@@ -14,16 +14,17 @@ Group: Development/Languages
 License: MIT
 URL: http://github.com/net-ssh/net-ssh
 Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-Requires: %{?scl_prefix}ruby(rubygems) 
-Requires: %{?scl_prefix}ruby 
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygem(minitest)
-BuildRequires: %{?scl_prefix}rubygem(mocha)
-BuildRequires: %{?scl_prefix}ruby 
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(rubygems) 
+Requires: %{?scl_prefix_ruby}ruby 
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
+BuildRequires: %{?scl_prefix_ruby}rubygem(mocha)
+BuildRequires: %{?scl_prefix_ruby}ruby 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Net::SSH: a pure-Ruby implementation of the SSH2 client protocol.
@@ -32,8 +33,9 @@ Net::SSH: a pure-Ruby implementation of the SSH2 client protocol.
 %package doc
 Summary: Documentation for %{pkg_name}
 Group: Documentation
-Requires: %{?scl_prefix}rubygem(mocha)
+Requires: %{?scl_prefix_ruby}rubygem(mocha)
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-netrc/rubygem-netrc.spec b/rubygem-netrc/rubygem-netrc.spec
index 6b6dde029..f690c2047 100644
--- a/rubygem-netrc/rubygem-netrc.spec
+++ b/rubygem-netrc/rubygem-netrc.spec
@@ -13,18 +13,19 @@ License: MIT
 URL: https://github.com/geemus/netrc
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
-BuildRequires: %{?scl_prefix}rubygem(minitest)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 This library can read and update netrc files, preserving formatting including
@@ -34,6 +35,7 @@ comments and whitespace.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-nokogiri/rubygem-nokogiri.spec b/rubygem-nokogiri/rubygem-nokogiri.spec
index c40c22c02..a8d85ae4f 100644
--- a/rubygem-nokogiri/rubygem-nokogiri.spec
+++ b/rubygem-nokogiri/rubygem-nokogiri.spec
@@ -34,12 +34,12 @@ Source0:	http://gems.rubyforge.org/gems/%{gemname}-%{mainver}%{?prever}.gem
 # ./test/html/test_element_description.rb:62 fails, as usual......
 # Patch0:		rubygem-nokogiri-1.5.0.beta3-test-failure.patch
 #Patch0:		rubygem-nokogiri-1.5.0-allow-non-crosscompile.patch
-BuildRequires:	%{?scl_prefix}ruby(abi) = %{rubyabi}
-BuildRequires:	%{?scl_prefix}ruby(rubygems)
+BuildRequires:	%{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+BuildRequires:	%{?scl_prefix_ruby}ruby(rubygems)
 ##
 ## For %%check
-BuildRequires:	%{?scl_prefix}rubygem(minitest)
-BuildRequires:	%{?scl_prefix}rubygems-devel
+BuildRequires:	%{?scl_prefix_ruby}rubygem(minitest)
+BuildRequires:	%{?scl_prefix_ruby}rubygems-devel
 %if 0%{?ruby19} > 0
 Obsoletes:		%{?scl_prefix}ruby-%{gemname} <= 1.5.2-2
 %endif
@@ -48,10 +48,11 @@ Obsoletes:		%{?scl_prefix}ruby-%{gemname} <= 1.5.2-2
 ## Others
 BuildRequires:	libxml2-devel
 BuildRequires:	libxslt-devel
-BuildRequires:	%{?scl_prefix}ruby-devel
-Requires:	%{?scl_prefix}ruby(abi) = %{rubyabi}
-Requires:	%{?scl_prefix}ruby(rubygems)
+BuildRequires:	%{?scl_prefix_ruby}ruby-devel
+Requires:	%{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+Requires:	%{?scl_prefix_ruby}ruby(rubygems)
 Provides:	%{?scl_prefix}rubygem(%{gemname}) = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gemname}}
 
 %description
 Nokogiri parses and searches XML/HTML very quickly, and also has
@@ -75,6 +76,7 @@ This package contains JRuby support for %{pkg_name}.
 Summary:	Documentation for %{pkg_name}
 Group:		Documentation
 Requires:	%{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gemname}-doc}
 
 %description	doc
 This package contains documentation for %{pkg_name}.
@@ -438,4 +440,3 @@ popd
 
 * Thu Dec 25 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1.0-1
 - Initial packaging
-
